[arch-commits] Commit in nautilus/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Sep 27 17:45:56 EDT 2008


    Date: Saturday, September 27, 2008 @ 17:45:56
  Author: jgc
Revision: 13687

upgpkg: nautilus 2.24.0-1

Modified:
  nautilus/trunk/PKGBUILD

----------+
 PKGBUILD |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-09-27 21:43:37 UTC (rev 13686)
+++ PKGBUILD	2008-09-27 21:45:56 UTC (rev 13687)
@@ -2,30 +2,30 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=nautilus
-pkgver=2.22.5.1
+pkgver=2.24.0
 pkgrel=1
 pkgdesc="The GNOME shell and file manager"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('librsvg>=2.22.2' 'eel>=2.22.2' 'libbeagle>=0.3.5.1' 'libtracker>=0.6.6' 'libexif>=0.6.16' 'exempi>=2.0.1' 'gnome-icon-theme>=2.22.0' 'desktop-file-utils' 'gvfs>=0.2.5')
+depends=('librsvg>=2.22.3' 'eel>=2.24.0' 'libbeagle>=0.3.5.1' 'libtracker>=0.6.6' 'libexif>=0.6.16' 'exempi>=2.0.1' 'gnome-icon-theme>=2.24.0' 'desktop-file-utils' 'gvfs>=1.0.1')
 makedepends=('perlxml' 'pkgconfig')
 url="http://www.gnome.org"
 groups=('gnome')
 replaces=('fontilus')
 options=('!libtool' '!emptydirs')
 install=nautilus.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.22/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('a63596ca4cccddc970d695d62c05154a')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('b80c29aaefa3a22cdf58f644ef3019d0')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static \
 	      --disable-update-mimedb || return 1
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
   
-  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }




More information about the arch-commits mailing list